//
//  PowerGuardController.h
//  PowerGuard
//
//  Created by Phidgets on 2015-07-15.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface PowerGuardController : NSObject <NSWindowDelegate>

{
    IBOutlet NSWindow *mainWindow;
    PhidgetPowerGuardHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Device Settings
    IBOutlet NSBox *dataBox;
    IBOutlet NSBox *settingsBox;
    IBOutlet NSTextField *overVoltageText;
    IBOutlet NSTextField *minOverVoltageLabel;
    IBOutlet NSTextField *maxOverVoltageLabel;
    IBOutlet id overVoltageSlider;
    IBOutlet NSButton *powerEnabledCheck;
    IBOutlet NSComboBox *fanModeCombo;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}
@end
